_global.GalleryClass = function()
{
   this.init();
};
var p = GalleryClass.prototype = new FUIComponentClass();
_global.dontShowMessage = false;
p.setSize = function(w, h)
{
   super.setSize(w,h);
   this.componentWidth = w;
   this.componentHeight = h;
   this.stageW = w;
   this.stageH = h;
   this.boundingBox_mc._width = w;
   this.boundingBox_mc._height = h;
   this.layout();
};
p.setTnSize = function(width, height)
{
   this.tnSizeW = width;
   this.tnSizeH = height;
   this.layout();
};
p.getTnWidth = function()
{
   return this.tnSizeW;
};
p.getTnHeight = function()
{
   return this.tnSizeH;
};
p.setTnBorder = function(bSize)
{
   this.tnBorder = bSize;
   this.layout();
};
p.getTnBorder = function()
{
   return this.tnBorder;
};
p.getTnSpacing = function()
{
   return this.tnSpacing;
};
p.setTnSpacing = function(sSize)
{
   this.tnSpacing = sSize;
   this.layout();
};
p.setColumns = function(nr)
{
   this.maxColumns = nr;
   this.layout();
};
p.getColumns = function()
{
   return this.maxColumns;
};
p.setXMLFile = function(file)
{
   this.XMLFile = file;
   this.refreshGallery();
};
p.getXMLFile = function()
{
   return this.XMLFile;
};
p.getXMLNode = function()
{
   return this.XMLNode;
};
p.setActiveTn = function(id)
{
   this.activeTn = id;
   this.onEnterFrame = function()
   {
      if(this.loading == false)
      {
         var tnPos = this.tnStage.content["box" + id]._x;
         if(tnPos + this.tnSizeW > this.stageW)
         {
            this.pane.setScrollPosition(tnPos - this.tnSpacing,0);
         }
         this.tnStage.content["box" + id].onRelease();
         delete this.onEnterFrame;
      }
   };
};
p.getActiveTn = function()
{
   return this.activeTn;
};
p.getTotalTns = function()
{
   return this.totalImages;
};
p.getGalleryWidth = function()
{
   return this.stageW;
};
p.getGalleryHeight = function()
{
   return this.stageH;
};
p.getTnStageWidth = function()
{
   return this.tnStageW;
};
p.getTnStageHeight = function()
{
   return this.tnStageH;
};
p.setTnStageSide = function(alignment)
{
   if(alignment == undefined)
   {
      alignment == "left";
   }
   this.tnStageSide = alignment;
   this.layout();
};
p.getTnStageSide = function()
{
   return this.tnStageSide;
};
p.setTnTitleStyle = function(style)
{
   this.tnTitleStyle = style;
   this.refreshGallery();
};
p.getTnTitleStyle = function()
{
   return this.tnTitleStyle;
};
p.setLabelHeight = function(dy)
{
   this.labelOffset = dy;
};
p.getLabelHeight = function()
{
   return this.labelOffset;
};
p.getMaxLabelHeight = function()
{
   return this.maxLabelOffset;
};
p.getPicStageWidth = function()
{
   return this.picStageW;
};
p.getPicStageHeight = function()
{
   return this.picStageH;
};
p.init = function()
{
   super.init();
   this.componentWidth = this._width;
   this.componentHeight = this._height;
   this._xscale = this._yscale = 100;
   this.boundingBox_mc._visible = 0;
   if(this.tnSizeW == undefined)
   {
      this.tnSizeW = 84;
   }
   if(this.tnSizeH == undefined)
   {
      this.tnSizeH = 84;
   }
   if(this.maxColumns == undefined)
   {
      this.maxColumns = 1;
   }
   if(this.tnBorder == undefined)
   {
      this.tnBorder = 12;
   }
   if(this.tnSpacing == undefined)
   {
      this.tnSpacing = 12;
   }
   this.scrollBarW = 16;
   this.setClickHandler(this.clickHandler);
   this.loading = true;
   this.inited = true;
   this.setSize(this.componentWidth,this.componentHeight);
   if(this.XMLFile)
   {
      this.load(this.XMLFile);
   }
};
p.layout = function()
{
   this.tnStageW = this.stageW;
   this.tnStageH = this.maxColumns * this.tnSizeH + (this.maxColumns - 1) * this.tnSpacing + 2 * this.tnBorder + this.scrollBarW;
   this.medStageW = this.stageW;
   this.medStageH = this.stageH - this.tnStageH;
   this.medSizeW = 204;
   this.medSizeH = 153;
   if(this.tnStageH >= this.StageH)
   {
      var nwMaxColumns = Math.floor(this.StageH / (this.tnSizeH + this.tnSpacing + this.tnBorder));
      trace("--::[Gallery Component Notice]::--");
      trace("  the thumbnail stage is to wide:");
      trace("  the maximum number of columns");
      trace("  with these settings is: " + nwMaxColumns);
      delete nwMaxColumns;
   }
   if(this.tnStageSide == "left")
   {
      this.tnStageX = 0;
      this.medStageX = 0;
      this.tnStageY = 0;
      this.medStageY = this.stageH - 2 * this.tnBorder - this.tnSizeH;
   }
   else
   {
      this.tnStageX = 0;
      this.tnStageY = Math.round(this.stageH - 2 * this.tnBorder - this.tnSizeH - 16);
      this.medStageY = 0;
   }
   this.attachMovie("FScrollPaneSymbol","pane",50);
   this.pane.setSize(this.tnStageW,this.tnStageH);
   this.pane._x = this.tnStageX;
   this.pane._y = this.tnStageY;
   this.pane.VScroll = false;
   this.pane.HScroll = true;
   this.pane.onMouseWheel = function(intWheelDelta)
   {
      var objCurrentPosition = this.getScrollPosition();
      var intNewPosition = objCurrentPosition.x - intWheelDelta;
      this.setScrollPosition(intNewPosition,0);
   };
   _root.mouseObj.addListener(this.pane);
   this.pane.boundingBox_mc._visible = 0;
};
p.refreshGallery = function()
{
   if(!this.inited)
   {
      this.init();
   }
   else
   {
      this.load(this.XMLFile);
   }
};
p.loaded = false;
p.load = function(data)
{
   var isXML;
   var xDoc;
   isXML = data instanceof XML;
   if(!isXML && data != undefined)
   {
      xDoc = new XML().parent = this;
      xDoc.onLoad = this._onLoad;
      xDoc.ignoreWhite = true;
      xDoc.load(data);
      return undefined;
   }
   this.loaded = true;
   this.renderGallery(data);
};
p.getLoaded = function()
{
   return this.loaded;
};
p._onLoad = function()
{
   this.parent.load(this);
};
p.setClickHandler = function(chng, obj)
{
   this.handlerObj = arguments.length >= 2 ? obj : this._parent;
   this.clickHandler = chng;
};
p.executeCallBack = function(id)
{
   this.handlerObj[this.clickHandler](id);
};
p.renderGallery = function(node)
{
   this.XMLNode = node;
   this.dir = node.firstChild.attributes.directory;
   this.totalImages = node.firstChild.childNodes.length;
   this.firstImageNode = node.firstChild.firstChild;
   this.currentImageNode = this.firstImageNode;
   this.startGallery();
};
p.startGallery = function()
{
   this.imMed.removeMovieClip();
   this.row = 0;
   this.column = 0;
   this.currentIndex = 1;
   this.loading = true;
   this.pane.boundingBox_mc._visible = 0;
   var tStage = this.createEmptyMovieClip("tnStage",1);
   var tContent = tStage.createEmptyMovieClip("content",1,{_x:this.tnBorder,_y:this.tnBorder});
   tContent.lineStyle(0,16777215,0);
   tContent.lineTo(0,0);
   this.pane.setScrollContent(tStage);
   this.contentMC = this.pane.getScrollContent();
   this.first = false;
   this.loadNext(this.firstImageNode);
};
p.loadNext = function(imageNode)
{
   if(imageNode == null)
   {
      this.statusText = "";
      this.loading = false;
      if(!_global.dontShowMessage)
      {
         if(!_root.switchingStage)
         {
            _root.loadAnimation("flash/volumes/message.swf","");
            _global.dontShowMessage = true;
         }
      }
   }
   else
   {
      var pane_content_mc = this.contentMC;
      var tn_mc = pane_content_mc.content.createEmptyMovieClip("box" + this.currentIndex,this.currentIndex);
      tn_mc.createEmptyMovieClip("tn_holder_mc","bg",1);
      tn_mc.bg._width = this.tnSizeW;
      tn_mc.bg._height = this.tnSizeH;
      tn_mc._name = "box" + this.currentIndex;
      tn_mc.tnID = this.currentIndex;
      if(this.tnTitleStyle != undefined)
      {
         tn_mc.controller = this;
         var label = tn_mc.attachMovie("FLabelSymbol","label_mc",105);
         label._x = 0;
         label._y = this.tnSizeH - 18;
         label.labelField.autoSize = "left";
         label.labelField.selectable = false;
         label.labelField.multiline = true;
         label.labelField.wordWrap = true;
         if(this.tnTitleStyle == "title")
         {
            label.setLabel(imageNode.attributes.title);
         }
         else if(this.tnTitleStyle == "name")
         {
            label.setLabel(imageNode.attributes.jpegURL);
         }
         if(this.maxLabelOffset < label._height)
         {
            this.maxLabelOffset = label._height;
         }
         if(this.labelOffset == undefined)
         {
            this.labelOffset = 17;
         }
         label._alpha = 0;
      }
      tn_mc._x = this.tnBorder + this.column * (this.tnSizeW + this.tnSpacing);
      tn_mc._y = 0;
      tn_mc.lineStyle(0,16777215,0);
      tn_mc.lineTo(tn_mc._width + this.tnBorder,120);
      this.column = this.column + 1;
      var checkFile = new LoadVars();
      checkFile._tl = this;
      checkFile.onLoad = function(success)
      {
         if(success)
         {
            this._tl.image(tn_mc,this._tl.dir + "/" + imageNode.attributes.thumbURL,this._tl.tnSizeW,this._tl.tnSizeH);
         }
         else
         {
            trace("--::[Gallery Component Notice]::--");
            trace("  \"" + this._tl.dir + "/" + imageNode.attributes.thumbURL + "\" does not exsist!\n");
            this._tl.currentIndex = this._tl.currentIndex + 1;
            this._tl.statusText = "";
            this._tl.currentImageNode = this._tl.currentImageNode.nextSibling;
            this._tl.loadNext(this._tl.currentImageNode);
         }
         delete checkFile;
      };
      checkFile.load(this.dir + "/" + imageNode.attributes.thumbURL);
      tn_mc.useHandCursor();
      tn_mc.onRelease = function()
      {
         if(!_global.dontShowMessage)
         {
            _global.dontShowMessage = true;
         }
         var th = this._parent._parent._parent;
         th.activeTn = this.tnID;
         var pic_mc = th.createEmptyMovieClip("image_mc",1000);
         pic_mc._x = th.medStageX + th.tnBorder;
         pic_mc._y = th.medStageY + th.tnBorder;
         if(th.clickHandler != "" && th.clickHandler != undefined)
         {
            pic_mc.onRelease = function()
            {
               th.executeCallBack(th.activeTn);
            };
         }
         imageCaption = imageNode.firstChild.nodeValue;
         animURL = th.dir + "/" + imageNode.attributes.jpegURL;
         _root.loadAnimation(animURL,imageCaption);
      };
      tn_mc.onRollOver = function()
      {
         label._alpha = 100;
         label.setVisible(true);
         label.play();
      };
      tn_mc.onRollOut = function()
      {
         label.setVisible(false);
         label.play();
      };
      tn_mc.onDragOut = function()
      {
         label.setVisible(false);
         label.play();
      };
      pane_content_mc.stageBG._height = pane_content_mc.content._height + 2 * this.tnBorder;
      this.pane.setScrollContent(pane_content_mc);
   }
   this.pane.refreshPane();
};
p.image = function(trgt, file, imageSizeW, imageSizeH)
{
   this.statusText = "loading images: please wait...";
   if(_level1._root.lang == "hr")
   {
      this.statusText = "pripremam slike: trenutak...";
   }
   if(_level1._root.lang == "de")
   {
      this.statusText = "lade Bildern: bitte warten...";
   }
   var controller = this;
   var container = trgt.createEmptyMovieClip("container",100);
   var pic = container.createEmptyMovieClip("img",102);
   var crt = container.createEmptyMovieClip("control",103);
   pic.loadMovie(file);
   pic.cnt = 0;
   crt.onEnterFrame = function()
   {
      pic._visible = false;
      var ready = int(pic.getBytesLoaded() * 100 / pic.getBytesTotal());
      if(ready == 100 && pic.getBytesLoaded() > 4)
      {
         pic.cnt = pic.cnt + 1;
         if(pic.cnt > 1)
         {
            delete crt.onEnterFrame;
            pic._visible = true;
            var ratio;
            var pw = pic._width;
            var ph = pic._height;
            if(pw >= ph)
            {
               ratio = imageSizeW / pw;
               if(ph * ratio > imageSizeH)
               {
                  ratio = imageSizeH / ph;
               }
            }
            else
            {
               ratio = imageSizeH / ph;
               if(pw * ratio > imageSizeW)
               {
                  ratio = imageSizeW / pw;
               }
            }
            pic._width = pw * ratio - 2;
            pic._height = ph * ratio - 2;
            pic._x = 0;
            pic._y = 0;
            var lineHelper = pic.createEmptyMovieClip("line","line_mc",115);
            lineHelper.lineStyle(0,0,100);
            lineHelper.moveTo(1,imageSizeH);
            lineHelper.lineTo(imageSizeW,imageSizeH);
            controller.currentIndex = controller.currentIndex + 1;
            controller.statusText = "";
            controller.currentImageNode = controller.currentImageNode.nextSibling;
            controller.loadNext(controller.currentImageNode);
         }
      }
   };
};
Object.registerClass("FGallerySymbol",GalleryClass);
delete p;
